local common = LibStub("LibAddon"):GetAddon("common");
local tvsettingtab = LibStub("LibAddon"):GetAddon("tvsettingtab")

-- 设置麦克风是否开启			value = 1时表示开启，0表示关闭
local function set_microphoneflg(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_MicrophoneFlg, value);
end

-- 更改说话的环境音量			范围:value >= 0 & value <= 100
local function set_microphonevolume(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_MicrophoneVolume, value);
end

-- 更改麦克风静音模式			value = 1 时静音，0表示没静音
local function set_microphonemuteflg(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_MicrophoneMuteFlg, value);
end

-- 设置麦克风加强					value = 1 时表示开启，0表示关闭
local function set_microphoneenhance(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_MicrophoneEnhance, value);
end

-- 更改喇叭的播放音量			范围:value >= 0 & value <= 100
local function set_speakervolume(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_SpeakerVolume, value);
end

-- 更改喇叭静音模式				value = 1 时静音，0表示没静音
local function set_speakermuteflg(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_SpeakerMuteFlg, value);
end

-- 麦克风降噪音						value = 1 时表示开启，0表示关闭
local function set_denoiseflg(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_DenoiseFlg, value);
end

-- 回声消除							value = 1 时表示开启，0表示关闭
local function set_aecflg(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_AECFlg, value);
end

-- 说话模式							value = 0 鼠标, 1 按键, 2 自由
local function set_speakmode(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_SpeakMode, value);
end

-- 按键
local function set_speakkey(self, value)
	return TeamTalkClient:getSingleton():ChangeSettings(tvsettingtab.CSETFLG.CSF_SpeakKey, value);
end

local mixins = {
	set_microphoneflg = set_microphoneflg, 				-- 设置麦克风是否开启			value = 1时表示开启，0表示关闭
	set_microphonevolume = set_microphonevolume,		-- 更改说话的环境音量			范围:value >= 0 & value <= 100
	set_microphonemuteflg = set_microphonemuteflg,		-- 更改麦克风静音模式			value = 1 时静音，0表示没静音
	set_microphoneenhance = set_microphoneenhance,		-- 设置麦克风加强					value = 1 时表示开启，0表示关闭
	set_speakervolume = set_speakervolume,				-- 更改喇叭的播放音量			范围:value >= 0 & value <= 100
	set_speakermuteflg = set_speakermuteflg,			-- 更改喇叭静音模式				value = 1 时静音，0表示没静音
	set_denoiseflg = set_denoiseflg,					-- 麦克风降噪音						value = 1 时表示开启，0表示关闭
	set_aecflg = set_aecflg,							-- 回声消除							value = 1 时表示开启，0表示关闭
	set_speakmode = set_speakmode,						-- 说话模式							value = 0 鼠标, 1 按键, 2 自由
	set_speakkey = set_speakkey,						-- 按键值
};

common:add_interface("tvsettingtab", mixins)
